/*
 * bsp.h
 *
 * BSP header
 */

#ifndef INCLUDED_BSP_H
#define INCLUDED_BSP_H


/*
 * Node List
 */

typedef struct _node
{
    int         id, f_id, n_id;

    int         x1, y1, x2, y2;
    int         color;

    struct  _node   *next;
} NODE;

/*
 * BSP Node
 */

typedef struct _bsp
{
    int         x1, y1, x2, y2;
    int         color;
    
    struct _bsp *f, *n;         // far and near leaves
} BSP;


#endif  // INCLUDED_BSP_H
